import { default as Node } from './node.js';
import { RootTreeType, TreeKey, TreeNodeData } from '../tree.type.js';
export declare const NODE_KEY = "$treeNodeId";
export declare function markNodeData(node: Node, data: TreeNodeData | null): void;
export declare function getNodeKey(key: string | undefined, data: TreeNodeData | null | undefined): TreeKey | undefined;
export declare function handleCurrentChange(store: RootTreeType["store"], emit: RootTreeType["emit"], setCurrent: () => void): void;
export declare function collectVisibleNodes(root: Node): Node[];
export declare function collectFocusableNodes(root: Node): Node[];
